"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasFile = exports.hasDependency = exports.getScript = exports.hasScript = void 0;
const tslib_1 = require("tslib");
const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
const path_1 = tslib_1.__importDefault(require("path"));
exports.hasScript = (packageData, scriptName) => packageData.scripts && packageData.scripts[scriptName] && packageData.scripts[scriptName] !== '';
exports.getScript = (packageData, scriptName) => {
    if (!exports.hasScript(packageData, scriptName)) {
        return;
    }
    return packageData.scripts[scriptName];
};
exports.hasDependency = (packageData, dependencyName) => (packageData.devDependencies && packageData.devDependencies[dependencyName]) ||
    (packageData.dependencies && packageData.dependencies[dependencyName]);
function hasFile(...pathFragments) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        try {
            return (yield fs_extra_1.default.stat(path_1.default.join(...pathFragments))).isFile();
        }
        catch (err) {
            return false;
        }
    });
}
exports.hasFile = hasFile;
//# sourceMappingURL=utils.js.map